// C Source File
// Created 04.02.2003; 13:44:59

//#define USE_TI89              // Compile for TI-89
#define USE_TI92PLUS          // Compile for TI-92 Plus
//#define USE_V200              // Compile for V200

#define OPTIMIZE_ROM_CALLS // Use ROM Call Optimization

#define MIN_AMS 100           // Compile for AMS 1.00 or higher

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files


#define NUMBER 100
#define SIZE 10
SCR_RECT full_screen = {{0, 0, 239, 127}};

void fsaa()
{
 char buffer [BITMAP_HDR_SIZE + 240*128/8];
 BitmapGet(&full_screen, buffer);
 
 if (!GrayOn()) return;

 SetPlane(LIGHT_PLANE);
 
 BitmapPut(-1,0,buffer,&full_screen,A_NORMAL);			// comment this for vertical-only
 BitmapPut(1,0,buffer,&full_screen,A_NORMAL);

 //BitmapPut(0,-1,buffer,&full_screen,A_NORMAL);			// comment this for horizontal-only
 //BitmapPut(0,1,buffer,&full_screen,A_NORMAL);

 ngetchx();
 
 GrayOff();
}

void _main(void)
{
 int i;
 randomize();
 clrscr();
 int size;
 for (i=0; i<NUMBER; i++)
 {
 	size = random(SIZE+1);
 	DrawClipEllipse (random(240),random(128),size,size,&full_screen,A_XOR);
 }
 ngetchx();
 fsaa();
}
