// C Source File
// Created 31.01.2003; 14:56:10

#define USE_TI92PLUS          // Compile for TI-92 Plus

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

#define MIN_AMS 100           // Compile for AMS 1.00 or higher

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files


void _main(void)
{
 SCR_RECT full_screen = {{0, 0, 239, 127}};
 char buffer [BITMAP_HDR_SIZE + 240*128/8];
 BitmapGet(&full_screen, buffer);
 
 if (!GrayOn()) return;

 SetPlane(LIGHT_PLANE);
 
 BitmapPut(-1,0,buffer,&full_screen,A_NORMAL);			// comment this for vertical-only
 BitmapPut(1,0,buffer,&full_screen,A_NORMAL);

 //BitmapPut(0,-1,buffer,&full_screen,A_NORMAL);			// comment this for horizontal-only
 //BitmapPut(0,1,buffer,&full_screen,A_NORMAL);

 ngetchx();
 
 GrayOff();
}
